package cn.rankin.apiweb.service.product;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.product.entity.Recommend;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "${service.product.name}")
public interface ProductClient {

    @RequestMapping(value = "/recommend/courses", method = RequestMethod.GET)
    APIResult<List<Recommend>> getRecommendCourses(@RequestParam("merchantId") String merchantId);
}
